<?
	$city_slug = false;

	if( $this->p_city_slug ) {
		$city_slug = $this->p_city_slug;
	} else if ( $this->ts_type == 'city' && $this->ts_slug ) {
		$city_slug = $this->ts_slug;
	}

	$country_slug = false;
	if( $this->p_country_slug ) {
		$country_slug = $this->p_country_slug;
	} else if ( $this->ts_type == 'country' && $this->ts_slug ) {
		$country_slug = $this->ts_slug;
	}

	$title = "";
	if ( $city_slug ) {
		$m_city = new Cubix_Geography_Cities();
		$city = $m_city->getBySlug($city_slug);
	} else if ( $country_slug ) {
		$m_coutry = new Cubix_Geography_Countries();
		$country = $m_coutry->getTitleIsoBySlug($country_slug);
		$country_title = $country->title;
	}

	$modelCities = new Model_Cities();
	$geo_city = $modelCities->getByGeoIp();

	$all_escorts_array = array('escorts', 'independent-escorts', 'agency-escorts');
	$new_escorts_array = array('newest', 'newest-independent', 'newest-agency-escorts');
	$boys_escorts_array = array('boys', 'boys-heterosexual', 'boys-bisexual', 'boys-homosexual');

	$type = __('top_title_type_female');

	if ( in_array($this->p_top_category, $new_escorts_array) ) {
		$type = __('top_title_type_new');
	} else if ( in_array($this->p_top_category, $boys_escorts_array) ) {
		$type = __('top_title_type_male');
	} else if ( $this->p_top_category == 'bdsm' ) {
		$type = __('top_title_type_bdsm');
	} else if ( $this->p_top_category == 'trans' ) {
		$type = __('top_title_type_trans');
	} else if ( $this->p_top_category == 'citytours' ) {
		$type = __('top_title_type_tours');
	} else if ( $this->p_top_category == 'upcomingtours' ) {
		$type = __('top_title_type_upcomingtours');
	} else if ( $this->p_top_category == 'independent-escorts' ) {
		$type = __('top_title_type_female_indep');
	} else if ( $this->p_top_category == 'agency-escorts' ) {
		$type = __('top_title_type_female_agency');
	}

?>


<? if( $city_slug ): ?>

	<h1 class="an"><?= str_replace('Female ', '', __('top_title_city', array('TYPE' => $type, 'CITY' => $city->title, 'COUNTRY' => $city->country_title))) ?></h1>

<? elseif( $country_slug ): ?>
	<?/* if ( $country_slug == 'france' ): ?>
	<h1 class="an" style="padding-left:65px; background: url(<?= _st('fr_ribbon.png') ?>) no-repeat 0% 50%;">
		<?= __('top_title_country', array('TYPE' => $type, 'COUNTRY' => $country_title)) ?>
	</h1>
	<? else: */?>
	<h1 class="an" style="padding-left:40px; background: url(<?= _st('flags-v2/' . $country->iso . '.png') ?>) no-repeat 0% 50%;">
		<?= str_replace('Female ', '', __('top_title_country', array('TYPE' => $type, 'COUNTRY' => $country_title))) ?>
	</h1>
	<?// endif; ?>

<? elseif ( in_array($this->p_top_category, $new_escorts_array) ): ?>

	<h1 class="an"><?= __('top_title_worldwide', array('TYPE' => $type)) ?></h1>

<? elseif ( $this->p_top_category == 'bdsm' ): ?>

	<h1 class="an"><?= __('top_title_worldwide', array('TYPE' => $type)) ?></h1>

<? elseif ( in_array($this->p_top_category, $boys_escorts_array) ): ?>

	<h1 class="an"><?= __('top_title_worldwide', array('TYPE' => $type)) ?></h1>

<? elseif ( $this->p_top_category == 'trans' ): ?>

	<h1 class="an"><?= __('top_title_worldwide', array('TYPE' => $type)) ?></h1>

<? elseif ( $this->p_top_category == 'citytours' ): ?>
	
	<h1 class="an"><?= __('top_title_worldwide', array('TYPE' => $type)) ?></h1>

<? elseif ( $this->p_top_category == 'upcomingtours' ): ?>

	<h1 class="an"><?= __('top_title_worldwide', array('TYPE' => $type)) ?></h1>

<? elseif ( in_array($this->p_top_category, $all_escorts_array) ): ?>

	<? if ( isset($geo_city['city_title']) && strlen($geo_city['city_title']) && $this->current_sort == 'close-to-me' ): ?>
		<h1 class="an"><?= __('escorts_around', array('CITY' => $geo_city['city_title'])) ?></h1>
	<? else: ?>
		<h1 class="an"><?= str_replace('Female ', '', __('top_title_worldwide', array('TYPE' => $type))) ?></h1>
	<? endif; ?>

<? elseif ( $this->p_top_category == 'agencies' ): ?>
	<h1 class="an"><?= __('agencies') ?></h1>
<? endif; ?>